function Dhg(){}
function Jhg(){}
function thg(a){this.a=a}
function vhg(a){this.a=a}
function Hhg(a){this.a=a}
function Chg(a,b){VZf(a.a,b)}
function Zhg(a){var b;if(!a.d){b=new Dhg;a.d=b}return a.d}
function Fhg(){Hne.call(this,TZj,'Persistence Inheritance')}
function ohg(a){var b;b=sAh(a.b.a,ouf(),$L(Y0c,hxj,1,[]));A7i(r7i(b,eGj),$$j);mnj(new Fmj(b),new thg(a))}
function qhg(a,b,d,e){GFd.call(this,a,b,d);this.c=e;this.b=new T_i(bLb,(DAh(),yAh).Mc(bLb),CAh.Mc(bLb));this.a=new g0i(bLb)}
function Yhg(a){var b;if(!a.c){b=new qhg(QEd(Nbe(a.a)),Zhg(a),Xhg(a),(Qnj(sde(a.a)),lLg(Gce(a.a))),U0i(qde(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function phg(a,b){var d;d=X_i(a.a,b,sAh(a.b.a,ouf(),$L(Y0c,hxj,1,[])),$L(R1c,axj,281,[]));if(b.Jc(fMj)&&uh(b.Mc(fMj),Hzj)){b.Pc(fMj);G7i(r7i(d,gMj),(Jlj(),Ilj))}mnj(new Fmj(d),new vhg(a))}
function shg(a,b){var d,e;e=gnj(b);if(e.b.gN(BGj)&&r7i(e,BGj).b.b!=(Jlj(),Ilj)&&!UOd(r7i(e,BGj).b.Ze(),CGj)){UXd(d_j+(PXd(),'Loading JPA Subsystem'))}else{d=Y_i(a.a.a,r7i(e,nGj).b._M());Chg(a.a.A,d)}}
f3c(3553,1007,gyj,qhg);_.Qi=function(){this.A.b=this};_.Vi=function(){ohg(this)};_.Zi=function(){ruf(this.c,this)};f3c(3554,1294,{},thg);_.dh=function(a){shg(this,a)};f3c(3555,1294,{},vhg);_.dh=function(a){var b;b=gnj(a);b.b.gN(BGj)&&r7i(b,BGj).b.b!=(Jlj(),Ilj)&&!UOd(r7i(b,BGj).b.Ze(),CGj)?VXd(j0j+(PXd(),wck),t7i(b)):WXd(k0j+(PXd(),wck));ohg(this.a)};f3c(3558,1411,fyj,Dhg);_.Ah=function(){var a,b,d,e,g,i;this.a=new a$f(bLb);a=new Hge(fMj,xck,false);g=new Fhg;Gne(g,$L(Y0c,hxj,1,['DEEP','SHALLOW']));M0d(this.a,rGj,$L(P1c,Qyj,262,[a,g]));K0d(this.a,false);d=new z0i(this.a,new Hhg(this));e=new s1e(new Jhg,this.a);b=AAe(CAe(BAe(new EAe,this.a),e));i=eBe(jBe(iBe(fBe(gBe(lBe(new mBe,H1j),wck),(PXd(),'The configuration of the JPA subsystem.')),W1j,b),x0i(d)));return i};f3c(3559,1659,Wyj,Fhg);_.Zj=function(){return false};f3c(3560,1,{},Hhg);_.Dk=function(a){phg(this.a.b,(this.a.a.c,a))};f3c(3561,1,{},Jhg);_.$k=function(){var a;a=ouf();B7i(f7i(a),vHj,AFj);return a};f3c(3567,1,Oyj);_.pd=function(){yGd(this.b,Yhg(this.a.a))};var VKb=wNd(3553),RKb=wNd(3554),SKb=wNd(3555),ZKb=wNd(3558),WKb=wNd(3559),XKb=wNd(3560),YKb=wNd(3561);Czj(_o)(54);